"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const archdevlogger_1 = require("archdevlogger");
const core_1 = require("./core");
const Winston = require("winston");
class ArchDevLoggerWinston extends archdevlogger_1.ArchDevLogger.ExtensibleLogger {
    configure(name, type, logger, properties) {
        super.configure(name, type, logger, properties);
        const options = core_1.CreateOptionsResolve(this, properties);
        Object.defineProperties(this, {
            "Logger": {
                configurable: false,
                enumerable: false,
                writable: false,
                value: Winston.createLogger(options)
            }
        });
    }
    log(level, message, data) {
        this.Logger.log(level, message, data);
    }
}
exports.ArchDevLoggerWinston = ArchDevLoggerWinston;
