"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const format_resolve_1 = require("./format.resolve");
const factories_1 = require("../factories");
exports.CreateOptionsResolve = (logger, properties) => {
    const createOptions = properties.createOptions || {};
    const formatters = factories_1.FormattersFactory(properties.formatters);
    return {
        level: createOptions.level || properties.level,
        levels: createOptions.levels || properties.levels,
        format: createOptions.format || format_resolve_1.FormatResolve(logger, formatters),
        transports: createOptions.transports || factories_1.TransportsFactory(properties.transporters),
        exitOnError: createOptions.exitOnError,
    };
};
