"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const transporters_1 = require("../transporters");
const errors_1 = require("../errors");
exports.TransportsFactory = (transporters = []) => transporters.map(each => {
    let Transporter;
    if (each.module) {
        Transporter = require(each.module);
    }
    else if (each.transporter) {
        Transporter = transporters_1.Transporters.get(each.transporter);
    }
    else {
        throw new errors_1.InvalidTransporterError();
    }
    return new Transporter(each.properties);
});
