"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Winston = require("winston");
const DailyRotateFile = require("winston-daily-rotate-file");
exports.Transporters = (() => {
    const TransportersMap = new Map();
    TransportersMap.set("console", Winston.transports.Console);
    TransportersMap.set("file", Winston.transports.File);
    TransportersMap.set("http", Winston.transports.Http);
    TransportersMap.set("daily-rotate-file", (DailyRotateFile));
    return {
        get: (name) => TransportersMap.get(name.toLowerCase()),
        set: (name, transport) => TransportersMap.set(name, transport),
        clear: () => TransportersMap.clear()
    };
})();
